Subject: Re: Configure default merge message

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Mar 2021 13:01:42 -0700

[email-masked] writes:

> Hello all,
>
> I'm using git mainly with BitBucket repositories. When I pull from a remote, the default commit message will be "Merge branch 'source-branch-name' of https://bitbucket.org/ <https://bitbucket.org/jibbletech/jibble-2.0-client-web>repository-name into destination-branch-name".
>
> I'd like to configure git to omit the "of https://bitbucket.org/repository-name" part. How can I do that?
>
> Regards
> Jost

Ævar, is this something we recently made it impossible with 4e168333
(shortlog: remove unused(?) "repo-abbrev" feature, 2021-01-12), or
is there more to it than resurrecting that "feature" to do what Jost
seems to want?

Thanks.